Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Jar

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Zip
                        |
                        +--org.apache.tools.ant.taskdefs.Jar

Direct Known Subclasses:
  War

public class Jar
extends Zip

Creates a JAR archive.

Author:
  James Davidson duncan@x180.com

Fields inherited from class org.apache.tools.ant.taskdefs.Zip
`archiveType, emptyBehavior`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Jar()`

Method Summary
`protected void` | `cleanUp()` Make sure we don't think we already have a MANIFEST next time this task gets executed.
`protected void` | `initZipOutputStream(java.util.zip.ZipOutputStream zOut)`
`void` | `setJarfile(java.io.File jarFile)`
`void` | `setManifest(java.io.File manifestFile)`
`protected void` | `zipFile(java.io.File file, java.util.zip.ZipOutputStream zOut, java.lang.String vPath)`

Methods inherited from class org.apache.tools.ant.taskdefs.Zip
`addFiles, addFiles, addFileset, addParentDirs, addZipEntries, addZipfileset, execute, grabFileNames, grabFiles, grabFiles, isUpToDate, setBasedir, setCompress, setWhenempty, setZipfile, zipDir, zipFile`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jar

    public Jar()

Method Detail

### setJarfile

    public void setJarfile(java.io.File jarFile)

### setManifest

    public void setManifest(java.io.File manifestFile)

### initZipOutputStream

    protected void initZipOutputStream(java.util.zip.ZipOutputStream zOut)
                                throws java.io.IOException,
                                       BuildException

  Overrides:
    `initZipOutputStream` in class `Zip`

### zipFile

    protected void zipFile(java.io.File file,
                           java.util.zip.ZipOutputStream zOut,
                           java.lang.String vPath)
                    throws java.io.IOException

  Overrides:
    `zipFile` in class `Zip`

### cleanUp

    protected void cleanUp()

  Make sure we don't think we already have a MANIFEST next time this task gets executed.
  Overrides:
    `cleanUp` in class `Zip`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.